"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServerRPC = exports.createClientRPC = exports.createRPC = void 0;
const rpc_js_1 = require("./rpc.js");
/**
 * Creates an RPC instance that can send and receive requests, responses
 * and messages.
 */
function createRPC(
/**
 * The options that will be used to configure the RPC instance.
 */
options) {
    return (0, rpc_js_1._createRPC)(options);
}
exports.createRPC = createRPC;
/**
 * Creates an RPC instance as a client. The passed schema represents
 * the remote RPC's (server) schema.
 */
function createClientRPC(
/**
 * The options that will be used to configure the RPC instance.
 */
options) {
    return (0, rpc_js_1._createRPC)(options);
}
exports.createClientRPC = createClientRPC;
/**
 * Creates an RPC instance as a server. The passed schema represents
 * this RPC's (server) schema.
 */
function createServerRPC(
/**
 * The options that will be used to configure the RPC instance.
 */
options) {
    return (0, rpc_js_1._createRPC)(options);
}
exports.createServerRPC = createServerRPC;
