import { type RPCTransport } from "./types.js";
/**
 * A transport bridge is a pair of transports that are connected to each other.
 * Messages sent to one transport will be forwarded to the other, and vice versa.
 */
export type RPCTransportBridge = {
    start(): void;
    stop(): void;
};
/**
 * Creates a transport bridge between two transports.
 */
export declare function createTransportBridge(transportA: RPCTransport, transportB: RPCTransport): RPCTransportBridge;
