"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTransportFromBroadcastChannel = void 0;
const message_port_js_1 = require("./message-port.js");
/**
 * Creates a transport from a
 * [`BroadcastChannel`](https://developer.mozilla.org/en-US/docs/Web/API/BroadcastChannel).
 */
function createTransportFromBroadcastChannel(
/**
 * The broadcast channel instance to create a transport from.
 */
channel, 
/**
 * Options for the broadcast channel transport.
 */
options) {
    return (0, message_port_js_1.createTransportFromMessagePort)(channel, options);
}
exports.createTransportFromBroadcastChannel = createTransportFromBroadcastChannel;
